This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 164954 - grpck prints bogus errors
grpck prints bogus errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-02 21:28 EDT by Don Buchholz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2:4.0.7-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-05 08:41:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Buchholz 2005-08-02 21:28:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
The grpck(8) command seems to completely choke while 
reading/checking /etc/gshadow.  Here is an example:

[root@tosagun ~]# head -5 /etc/group /etc/gshadow
==> /etc/group <==
root:x:0:root
bin:x:1:root,bin,daemon
daemon:x:2:root,bin,daemon
sys:x:3:root,bin,adm
adm:x:4:root,adm,daemon

==> /etc/gshadow <==
root:::root
bin:::root,bin,daemon
daemon:::root,bin,daemon
sys:::root,bin,adm
adm:::root,adm,daemon
[root@tosagun ~]# grpck
[root@tosagun samba]# grpck
shadow group bin: no user oot
delete member `oot'? n
shadow group daemon: no user
delete member `'? n
shadow group daemon: no user
delete member `'? n
shadow group daemon: no user ot
delete member `ot'? n
shadow group daemon: no user in
delete member `in'? n
shadow group sys: no user oot
delete member `oot'? n
shadow group sys: no user t
delete member `t'? n
 ... and so on, and so on ....


Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-56.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Run 'grpck'
2.
3.
  

Actual Results:  grpck(8) complained about a whole lot of invalid users.

Expected Results:  I expected the utility to give the group/gshadow files a clean bill of health.

Additional info:

Not being able to ascertain the validity of the password/group databases is pretty serious.

Have confirmed this bug on two different FC3 systems at two different sites (both running the same platform and package versions).
Comment 1 Peter Vrabec 2005-08-05 08:41:57 EDT
It's fixed in FC4.

Note You need to log in before you can comment on or make changes to this bug.